Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 198348 - hal-device-manager can not start (dbus_bindings error)
Summary: hal-device-manager can not start (dbus_bindings error)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hal
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John (J5) Palmieri
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-07-11 10:04 UTC by Nadav Kavalerchik
Modified: 2013-03-13 04:50 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-27 20:12:12 UTC


Attachments (Terms of Use)

Description Nadav Kavalerchik 2006-07-11 10:04:10 UTC
Description of problem:
running hal-device-manager returns error and doesn't start

Version-Release number of selected component (if applicable):
hal-0.5.7-12

How reproducible:
run hal-device-manager

Steps to Reproduce:
1.hal-device-manager
2.
3.
  
Actual results:

Traceback (most recent call last):
  File "/usr/bin/hal-device-manager", line 20, in ?
    DeviceManager()
  File "/usr/share/hal/device-manager/DeviceManager.py", line 66, in __init__
    lambda *args: self.gdl_changed("DeviceAdded", *args))
  File "/usr/lib/python2.4/site-packages/dbus/_dbus.py", line 291, in 
connect_to_signal
    self._obj.connect_to_signal(signal_name, handler_function, dbus_interface, 
**keywords)
  File "/usr/lib/python2.4/site-packages/dbus/proxies.py", line 151, in 
connect_to_signal
    path=self._object_path,
  File "/usr/lib/python2.4/site-packages/dbus/_dbus.py", line 179, in 
add_signal_receiver
    named_service = bus_object.GetNameOwner(named_service, 
dbus_interface='org.freedesktop.DBus')
  File "/usr/lib/python2.4/site-packages/dbus/proxies.py", line 25, in __call__
    ret = self._proxy_method (*args, **keywords)
  File "/usr/lib/python2.4/site-packages/dbus/proxies.py", line 102, in 
__call__
    reply_message = self._connection.send_with_reply_and_block(message, 
timeout)
  File "dbus_bindings.pyx", line 455, in 
dbus_bindings.Connection.send_with_reply_and_block
dbus_bindings.DBusException: Could not get owner of 
name 'org.freedesktop.Hal': no such name


Expected results:


Additional info:

Comment 1 Matthias Clasen 2006-07-27 20:12:12 UTC
Seems fixed in hal-0.5.7-13

Comment 2 Nadav Kavalerchik 2006-08-06 13:24:24 UTC
i can't seem to find hal-0.5.7-13 anywhere :-(
(i'm using fc5-devel yum repos)


Note You need to log in before you can comment on or make changes to this bug.